/**================================================================================================
Hochschule Luzern - Technik & Architektur                                  Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                                                    http://hslu.ximit.ch
---------------------------------------------------------------------------------------------------
Name        : Uebung_2-5.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-23v1.0
Description : strcat
              Schreiben Sie die Funktion mystrcat(s, t) (Sting concatenate) mit Zeiger, welche
			  eine Zeichenkette t an das Ende der Zeichenkette s kopiert.
			  Zur Erinnerung: Das '/0' Zeichen markiert das Ende einer Zeichenkette.
=================================================================================================*/

#include <stdio.h>
#include <stdlib.h>

/**
 * Kopiert String t ans Ende von String s.
 * Vorsicht: String s muss gengend gross sein!
 */
void mystrcat(char *s, const char *t);

/**
 * The main procedure to run the application.
 * @param argc Number of command line arguments
 * @param argv The forwarded command line arguments
 * @return Application return (error) code
 */
int main(int argc, char** argv)
{
	char input1[256];
	char input2[128];

	printf("Erste Zeichenkette: ");
	scanf("%s", input1);

	printf("\nZweite Zeichenkette: ");
	scanf("%s", input2);

	mystrcat(input1, input2);
	printf("\nErgebnis von strcat: %s\n", input1);

	
	fflush(stdin); //flushes the input stream and gets rid of '\n'
	printf("\n\nPress [Enter] to exit...");
	getchar();
	return(EXIT_SUCCESS);
}

/**
 * Kopiert String t ans Ende von String s.
 * Vorsicht: String s muss gengend gross sein!
 */
void mystrcat(char *s, const char *t)
{
	while (*s) //solange kein \0 gefunden
		s++;   // bis ans ende von s gehen
	while (*s++ = *t++) // t an s anhngen
		; // work done in der while-bedingung
}